# KDChartBackgroundAttributes.cpp File Reference

`#include "KDChartBackgroundAttributes.h"`
`#include <QPixmap>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartBackgroundAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::BackgroundAttributes &ba)

## Define Documentation

#define d d_func()

| Definition at line 31 of file KDChartBackgroundAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::BackgroundAttributes & | ba
| ) |

Definition at line 150 of file KDChartBackgroundAttributes.cpp.

    00151 {
    00152     dbg << "KDChart::BackgroundAttributes("
    00153         << "visible="<<ba.isVisible()
    00154         << "brush="<<ba.brush()
    00155         << "pixmapmode="<<ba.pixmapMode()
    00156         << "pixmap="<<ba.pixmap()
    00157         << ")";
    00158     return dbg;
    00159 }